<!DOCTYPE html>
<html>
<head>
	<title></title>
	<link rel="stylesheet" href="style.css">
	<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
	<meta charset="utf-8">
</head>
<body>
	<div class="nav">
		<ul>
			<li><a href="index.html">Главная</a></li>
			<li><a href="about.html">О кафедре</a></li>
			<li><a href="people.html">Преподаватели</a></li>
			<li><a href="">Учёба</a></li>
		</ul>
	</div>

	<script>
		$.ajax({ 
		   	url: "public/json/mentors.json", 
		   	dataType: "json", 
		   	method: "GET",    
		   	data: {},
		    success: function(data) {
		 		if(data.length) {
			 		let studentNameTable = $("<td></td>").text("Студент");
					let courseWorkNameTable = $("<td></td>").text("Тема");
					let mentorNameTable = $("<td></td>").text("Руководитель");

					$("body").append($("<table></table>").attr("border", "2").attr("id", "table").append($("<tr></tr>").append(studentNameTable, courseWorkNameTable, mentorNameTable)));	

					for (let i = 0, k = 0; i < data.length; i++){
						for (let j = 0; j < data[i]["course-works"].length; j++) {
							let cellStudentName = $("<td></td>").text(data[i]["course-works"][j]["student"])
							let cellCourseWorkName = $("<td></td>").text(data[i]["course-works"][j]["name"])
							let cellMentorName = $("<td></td>").text(data[i]["name"]).attr("name", "m" + k)
							
							$("table").append($("<tr></tr>").attr("id", k++).append(cellStudentName, cellCourseWorkName, cellMentorName));
							console.log(i + ' ' + j)
						}
					}
				}
			}
		});

		let studentName = $("<p></p>").text("ФИО: ").append($("<input>").attr("type", "text").attr("id", "student"));
		let courseWorkName = $("<p></p>").text("Фамилия: ").append($("<input>").attr("type", "text").attr("id", "courseWork"));
		let mentorName = $("<p></p>").text("Руководитель: ").append($("<input>").attr("type", "text").attr("id", "mentor"));
		let buttonAdd = $("<button></button>").text("Добавить").attr("onclick", "tableModule.addStudentAndCreateTable()");
		
		$("body").append(studentName, courseWorkName, mentorName, buttonAdd);	
	
		let tableModule = (function() {
			function addStudentAndCreateTable(){
				let array = [];			
					
				for (let i = 0; i <= +$("table tr:last-child").attr("id"); i++){
					let row = {
						"student": $("tr:eq(" + (i + 1) +") td:eq(0)").text(),
						"courseWork": $("tr:eq(" + (i + 1) +") td:eq(1)").text(),
						"mentor": $("tr:eq(" + (i + 1) +") td:eq(2)").text()
					}
					array.push(row);
				}	

				let row = {
					"student": $("#student").val(),
					"courseWork": $("#courseWork").val(),
					"mentor": $("#mentor").val()
				};
				array.push(row);

				$("table").empty();

				let studentNameTable = $("<td></td>").text("Студент");
				let courseWorkNameTable = $("<td></td>").text("Тема");
				let mentorNameTable = $("<td></td>").text("Руководитель");

				($("table").attr("border", "2").attr("id", "table").append($("<tr></tr>").append(studentNameTable, courseWorkNameTable, mentorNameTable)));

				for (let i = 0; i < array.length; i++){ 					
					let cellStudentName = $("<td></td>").text(array[i]["student"])
					let cellCourseWorkName = $("<td></td>").text(array[i]["courseWork"])
					let cellMentorName = $("<td></td>").text(array[i]["mentor"]).attr("name", "m" + i)
												
					$("table").append($("<tr></tr>").attr("id", i).append(cellStudentName, cellCourseWorkName, cellMentorName));
				}	
			}

			return {
				addStudentAndCreateTable: addStudentAndCreateTable
			}
		})();
	</script>
</body>
</html>